/*
 * All this f... Symbian s... just to start a simple main window (AppUi)
 */

// INCLUDE FILES
#include <eikstart.h>
#include "carlock.h"
#include "carlock_appui.h"

// UID for the application;
// this should correspond to the uid defined in the mmp file
const TUid KUidCarLockApp = { 0xA000C101 };

LOCAL_C CApaApplication* NewApplication()
{
    return new CCarLockApplication;
}

GLDEF_C TInt E32Main()
{
    return EikStart::RunApplication( NewApplication ); 
}

TUid CCarLockApplication::AppDllUid() const 
{
    return KUidCarLockApp;
}

CApaDocument* CCarLockApplication::CreateDocumentL()
{
    return (static_cast<CApaDocument*> ( CCarLockDocument::NewL( *this ) ) );
}

CCarLockDocument* CCarLockDocument::NewL( CEikApplication& aApp )
{
    CCarLockDocument* self = NewLC( aApp );
    CleanupStack::Pop( self );
    return self;
}

CCarLockDocument* CCarLockDocument::NewLC( CEikApplication& aApp )
{
    CCarLockDocument* self = new ( ELeave ) CCarLockDocument( aApp );
    CleanupStack::PushL( self );
    self->ConstructL();
    return self;
}

void CCarLockDocument::ConstructL() { }

CCarLockDocument::CCarLockDocument( CEikApplication& aApp ) : CAknDocument( aApp ) { }

CCarLockDocument::~CCarLockDocument() { }

CEikAppUi* CCarLockDocument::CreateAppUiL()
{
    return ( static_cast <CEikAppUi*> ( new ( ELeave ) CCarLockAppUi ) );
}
