/*
 *
 */

#ifndef __CARLOCK_APPUI_H__
#define __CARLOCK_APPUI_H__

#include <aknappui.h>
#include <akntabgrp.h>
#include <aknnavide.h>
#include <remconcoreapitargetobserver.h>
#include <remconcoreapitarget.h>
#include <remconinterfaceselector.h>

class CCarLockAppView;
class CCarLockConsole;
class CCarLockSettings;
class CCarLockEngine;

class CCarLockAppUi : public CAknAppUi
{
    public:

        void ConstructL();
        CCarLockAppUi();
        virtual ~CCarLockAppUi();

    private:

        void HandleCommandL( TInt aCommand );
	void HandleStatusPaneSizeChange();
	void HandleWsEventL(const TWsEvent& aEvent, CCoeControl* aDestination);
	void SelectView(TInt id);
	void Hide();

    public:        

        CCarLockAppView*		iAppView;
	CCarLockConsole*		iConsole;
	CCarLockSettings*		iSettings;
	CCarLockEngine*			iEngine;

    private:

	CAknNavigationControlContainer* iNaviPane;
	CAknNavigationDecorator* 	iDecorator;
	CAknTabGroup*			iTabGroup;
};

#endif // __CARLOCK_APPUI_H__
