/*
* ==============================================================================
*  Name        : SIPExTimeOutTimer.h
*  Part of     : SIPExSocketEngine
*  Interface   : 
*  Description : 
*  Version     : 
*
*  Copyright (c) 2004-2006 Nokia Corporation.
*  This material, including documentation and any related 
*  computer programs, is protected by copyright controlled by 
*  Nokia Corporation.
* ==============================================================================
*/

#ifndef __CARLOCK_TIMER_H__
#define __CARLOCK_TIMER_H__

#include    <e32base.h>

class MCarLockTimeOutNotify 
{
    public: 
	virtual void TimerExpired() = 0;
};

class CCarLockTimer: public CTimer
	{
    public:
        static CCarLockTimer* NewL( MCarLockTimeOutNotify& aTimeOutNotify );
        ~CCarLockTimer();

    protected:
        CCarLockTimer( MCarLockTimeOutNotify& aTimeOutNotify );
	void ConstructL();

    private:
        virtual void RunL();

    private:
        MCarLockTimeOutNotify& iNotifier;
};

#endif // __CARLOCK_TIMER_H__
